From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/heroxbd:master commit in: eclass/
Date: Thu, 21 Jul 2016 02:23:10 +0000 (UTC) [thread overview]
Message-ID: <1466737633.c147c553072030cd06f55f6bde6360199bb1c9f9.heroxbd@gentoo> (raw)
Message-ID: <20160721022310.OxuQ-jlTyIe5nw2vE2JU8ABCLL-vyNDSdRRSmvtSWJ0@z> (raw)
commit: c147c553072030cd06f55f6bde6360199bb1c9f9
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 03:07:13 2016 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 03:07:13 2016 +0000
URL: https://gitweb.gentoo.org/dev/heroxbd.git/commit/?id=c147c553
toolchain.eclass: prefixify cross compile parts.
eclass/toolchain.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 44ec160..b6df2da 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1833,8 +1833,8 @@ gcc_movelibs() {
# that you want to link against when building tools rather than building
# code to run on the target.
if tc_version_is_at_least 5 && is_crosscompile ; then
- dodir "${HOSTLIBPATH}"
- mv "${D}"/usr/$(get_libdir)/libcc1* "${D}${HOSTLIBPATH}" || die
+ dodir "${HOSTLIBPATH#${EPREFIX}}"
+ mv "${ED}"/usr/$(get_libdir)/libcc1* "${D}${HOSTLIBPATH}" || die
fi
# For all the libs that are built for CTARGET, move them into the
next reply other threads:[~2016-07-21 2:23 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-24 3:07 Benda XU [this message]
2016-07-21 2:23 ` [gentoo-commits] dev/heroxbd:master commit in: eclass/ Benda XU
-- strict thread matches above, loose matches on Subject: below --
2017-11-27 1:09 [gentoo-commits] proj/android:master " Benda XU
2017-08-30 9:22 Benda XU
2017-08-07 6:12 Benda XU
2017-02-09 4:52 Benda XU
2017-01-07 14:29 Benda XU
2016-10-24 12:30 Benda XU
2016-07-21 12:38 Benda XU
2016-07-21 2:23 [gentoo-commits] dev/heroxbd:master " Benda XU
2016-07-21 2:19 ` [gentoo-commits] proj/android:master " Benda XU
2016-07-21 2:19 Benda XU
2016-06-15 11:40 Benda XU
2016-06-15 10:56 Benda XU
2016-06-14 2:00 Benda XU
2016-06-07 10:48 Benda XU
2016-05-26 4:05 Benda XU
2016-05-26 4:05 Benda XU
2016-05-26 4:05 Benda XU
2016-05-26 4:05 Benda XU
2016-05-23 16:15 [gentoo-commits] dev/heroxbd:master " Benda XU
2016-05-26 4:05 ` [gentoo-commits] proj/android:master " Benda XU
2016-05-23 6:18 [gentoo-commits] dev/heroxbd:master " Benda XU
2016-05-26 4:05 ` [gentoo-commits] proj/android:master " Benda XU
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1466737633.c147c553072030cd06f55f6bde6360199bb1c9f9.heroxbd@gentoo \
--to=heroxbd@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox